Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.usermodel
Class SoundData

    java.lang.Object
      org.apache.poi.hslf.usermodel.SoundData

    public final class SoundData

extends java.lang.Object

A class that represents sound data embedded in a slide show.

Author:
  Yegor Kozlov

Constructor Summary
`SoundData(Sound container)` Creates the object data wrapping the record that contains the sound data.

Method Summary
`static SoundData[]` | `find(Document document)` Find all sound records in the supplied Document records
`byte[]` | `getData()` Gets an input stream which returns the binary of the sound data.
`java.lang.String` | `getSoundName()` Name of the sound (e.g.
`java.lang.String` | `getSoundType()` Type of the sound (e.g.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoundData

    public SoundData(Sound container)

  Creates the object data wrapping the record that contains the sound data.

  Parameters:
    `container` - the record that contains the sound data.

Method Detail

### getSoundName

    public java.lang.String getSoundName()

  Name of the sound (e.g. "crash")

  Returns:
    name of the sound

### getSoundType

    public java.lang.String getSoundType()

  Type of the sound (e.g. ".wav")

  Returns:
    type of the sound

### getData

    public byte[] getData()

  Gets an input stream which returns the binary of the sound data.

  Returns:
    the input stream which will contain the binary of the sound data.

### find

    public static SoundData[] find(Document document)

  Find all sound records in the supplied Document records

  Parameters:
    `document` - the document to find in
  Returns:
    the array with the sound data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.